com.genesyslab.wfm8.API.service.adherence800

## Class AdhEvent

- java.lang.Object
- - com.genesyslab.wfm8.API.service.adherence800.AdhEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class AdhEvent
      extends java.lang.Object
      implements java.io.Serializable

  The historical Agent State information can be compared against published agent schedule to monitor agent's adherence to schedule. The rules of Agent State adherence or non-adherence to specific scheduled agent states are completely user-configurable and can be accessed from Configuration Service. A timeframe when agent state is non-adherent (or adherent) to published schedule state is named Adherence Event. The Adherence Service provides interface for accessing dynamically generated Adherence Event records for the given time period.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId` Agent ID, identifies `CfgAgent` object
    `private static long` | `serialVersionUID`
    `protected java.util.List<AdhAgentState>` | `wmAgentStates` An array of `AdhAgentState` for the duration of event
    `protected int` | `wmAgentStatesNSizeIs` Number of elements in wmAgentStates array
    `protected double` | `wmEndDateTime` Event end date/time `OleDateTime`
    `protected java.util.List<SchAgentState>` | `wmSchStates` An array of `SchAgentState` for the duration of event
    `protected int` | `wmSchStatesNSizeIs` Number of elements in wmSchStates array
    `protected int` | `wmSiteId` Site ID, identifies `CfgSite` object
    `protected double` | `wmStartDateTime` Event start date/time `OleDateTime`
    `protected int` | `wmStatus` Event Status `EAdhEventStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdhEvent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `java.util.List<AdhAgentState>` | `getWmAgentStates()` Gets the value of the wmAgentStates property.
    `int` | `getWmAgentStatesNSizeIs()` Gets the value of the wmAgentStatesNSizeIs property.
    `double` | `getWmEndDateTime()` Gets the value of the wmEndDateTime property.
    `java.util.List<SchAgentState>` | `getWmSchStates()` Gets the value of the wmSchStates property.
    `int` | `getWmSchStatesNSizeIs()` Gets the value of the wmSchStatesNSizeIs property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `double` | `getWmStartDateTime()` Gets the value of the wmStartDateTime property.
    `int` | `getWmStatus()` Gets the value of the wmStatus property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setWmAgentStates(java.util.List<AdhAgentState> wmAgentStates)` Sets the value of the wmAgentStates property.
    `void` | `setWmAgentStatesNSizeIs(int value)` Sets the value of the wmAgentStatesNSizeIs property.
    `void` | `setWmEndDateTime(double value)` Sets the value of the wmEndDateTime property.
    `void` | `setWmSchStates(java.util.List<SchAgentState> wmSchStates)` Sets the value of the wmSchStates property.
    `void` | `setWmSchStatesNSizeIs(int value)` Sets the value of the wmSchStatesNSizeIs property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStartDateTime(double value)` Sets the value of the wmStartDateTime property.
    `void` | `setWmStatus(int value)` Sets the value of the wmStatus property.
    `java.lang.String` | `toString()`
    `AdhEvent` | `withGswAgentId(int value)`
    `AdhEvent` | `withWmAgentStates(AdhAgentState... values)`
    `AdhEvent` | `withWmAgentStates(java.util.Collection<AdhAgentState> values)`
    `AdhEvent` | `withWmAgentStatesNSizeIs(int value)`
    `AdhEvent` | `withWmEndDateTime(double value)`
    `AdhEvent` | `withWmSchStates(java.util.Collection<SchAgentState> values)`
    `AdhEvent` | `withWmSchStates(SchAgentState... values)`
    `AdhEvent` | `withWmSchStatesNSizeIs(int value)`
    `AdhEvent` | `withWmSiteId(int value)`
    `AdhEvent` | `withWmStartDateTime(double value)`
    `AdhEvent` | `withWmStatus(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

      Site ID, identifies `CfgSite` object

    - #### gswAgentId

          protected int gswAgentId

      Agent ID, identifies `CfgAgent` object

    - #### wmStartDateTime

          protected double wmStartDateTime

      Event start date/time `OleDateTime`

    - #### wmEndDateTime

          protected double wmEndDateTime

      Event end date/time `OleDateTime`

    - #### wmAgentStatesNSizeIs

          protected int wmAgentStatesNSizeIs

      Number of elements in wmAgentStates array

    - #### wmAgentStates

          protected java.util.List<AdhAgentState> wmAgentStates

      An array of `AdhAgentState` for the duration of event

    - #### wmSchStatesNSizeIs

          protected int wmSchStatesNSizeIs

      Number of elements in wmSchStates array

    - #### wmSchStates

          protected java.util.List<SchAgentState> wmSchStates

      An array of `SchAgentState` for the duration of event

    - #### wmStatus

          protected int wmStatus

      Event Status `EAdhEventStatus`

  - ### Constructor Detail

    - #### AdhEvent

          public AdhEvent()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmStartDateTime

          public double getWmStartDateTime()

      Gets the value of the wmStartDateTime property.

    - #### setWmStartDateTime

          public void setWmStartDateTime(double value)

      Sets the value of the wmStartDateTime property.

    - #### getWmEndDateTime

          public double getWmEndDateTime()

      Gets the value of the wmEndDateTime property.

    - #### setWmEndDateTime

          public void setWmEndDateTime(double value)

      Sets the value of the wmEndDateTime property.

    - #### getWmAgentStatesNSizeIs

          public int getWmAgentStatesNSizeIs()

      Gets the value of the wmAgentStatesNSizeIs property.

    - #### setWmAgentStatesNSizeIs

          public void setWmAgentStatesNSizeIs(int value)

      Sets the value of the wmAgentStatesNSizeIs property.

    - #### getWmAgentStates

          public java.util.List<AdhAgentState> getWmAgentStates()

      Gets the value of the wmAgentStates property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmAgentStates property.

      For example, to add a new item, do as follows:

              getWmAgentStates().add(newItem);

      Objects of the following type(s) are allowed in the list `AdhAgentState`

    - #### getWmSchStatesNSizeIs

          public int getWmSchStatesNSizeIs()

      Gets the value of the wmSchStatesNSizeIs property.

    - #### setWmSchStatesNSizeIs

          public void setWmSchStatesNSizeIs(int value)

      Sets the value of the wmSchStatesNSizeIs property.

    - #### getWmSchStates

          public java.util.List<SchAgentState> getWmSchStates()

      Gets the value of the wmSchStates property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSchStates property.

      For example, to add a new item, do as follows:

              getWmSchStates().add(newItem);

      Objects of the following type(s) are allowed in the list `SchAgentState`

    - #### getWmStatus

          public int getWmStatus()

      Gets the value of the wmStatus property.

    - #### setWmStatus

          public void setWmStatus(int value)

      Sets the value of the wmStatus property.

    - #### withWmSiteId

          public AdhEvent withWmSiteId(int value)

    - #### withGswAgentId

          public AdhEvent withGswAgentId(int value)

    - #### withWmStartDateTime

          public AdhEvent withWmStartDateTime(double value)

    - #### withWmEndDateTime

          public AdhEvent withWmEndDateTime(double value)

    - #### withWmAgentStatesNSizeIs

          public AdhEvent withWmAgentStatesNSizeIs(int value)

    - #### withWmAgentStates

          public AdhEvent withWmAgentStates(AdhAgentState... values)

    - #### withWmAgentStates

          public AdhEvent withWmAgentStates(java.util.Collection<AdhAgentState> values)

    - #### withWmSchStatesNSizeIs

          public AdhEvent withWmSchStatesNSizeIs(int value)

    - #### withWmSchStates

          public AdhEvent withWmSchStates(SchAgentState... values)

    - #### withWmSchStates

          public AdhEvent withWmSchStates(java.util.Collection<SchAgentState> values)

    - #### withWmStatus

          public AdhEvent withWmStatus(int value)

    - #### setWmAgentStates

          public void setWmAgentStates(java.util.List<AdhAgentState> wmAgentStates)

      Sets the value of the wmAgentStates property.
      Parameters:
        `wmAgentStates` - allowed object is `AdhAgentState`

    - #### setWmSchStates

          public void setWmSchStates(java.util.List<SchAgentState> wmSchStates)

      Sets the value of the wmSchStates property.
      Parameters:
        `wmSchStates` - allowed object is `SchAgentState`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.